# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gris/middleware/json_web_token_decoder/version'

Gem::Specification.new do |spec|
  spec.name          = 'gris-middleware-json_web_token_decoder'
  spec.version       = Gris::Middleware::JsonWebTokenDecoder::VERSION
  spec.authors       = ['Dylan Fareed']
  spec.email         = ['email@dylanfareed.com']
  spec.summary       = 'Simple middleware for decoding JWT tokens in Gris apps.'
  spec.description   = 'Simple middleware for decoding JWT tokens in Gris apps.'
  spec.homepage      = 'https://github.com/dylanfareed/gris-middleware-json_web_token_decoder'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'gris'
  spec.add_dependency 'jwt'

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'byebug'
end
